org.apache.tamaya.optional

## Enum EvaluationPolicy

- java.lang.Object
- - java.lang.Enum<EvaluationPolicy>
  - - org.apache.tamaya.optional.EvaluationPolicy

- All Implemented Interfaces:
    Serializable, Comparable<EvaluationPolicy>

      public enum EvaluationPolicy
      extends Enum<EvaluationPolicy>

  Evaluation policy that determines if local configuration or Tamaya configuration values override.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `OTHER_OVERRIDES_TAMAYA` Values from value provider always override values from Tamaya (if available).
    `TAMAYA_OVERRIDES_OTHER` Values from Tamaya (if available) always override values from the default provider.
    `THROWS_EXCEPTION` No overrides are allowed.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EvaluationPolicy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EvaluationPolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TAMAYA_OVERRIDES_OTHER

          public static final EvaluationPolicy TAMAYA_OVERRIDES_OTHER

      Values from Tamaya (if available) always override values from the default provider.

    - #### OTHER_OVERRIDES_TAMAYA

          public static final EvaluationPolicy OTHER_OVERRIDES_TAMAYA

      Values from value provider always override values from Tamaya (if available).

    - #### THROWS_EXCEPTION

          public static final EvaluationPolicy THROWS_EXCEPTION

      No overrides are allowed. If both the value provider and Tamaya return values not equal a RuntimeException is thrown.

  - ### Method Detail

    - #### values

          public static EvaluationPolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EvaluationPolicy c : EvaluationPolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EvaluationPolicy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014–2016 Apache Software Foundation. All rights reserved.